import { AnnotationLayer } from "./AnnotationLayer";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { DependencyProperty } from "igniteui-angular-core";
import { CategoryHighlightLayerFrame } from "./CategoryHighlightLayerFrame";
import { Type } from "igniteui-angular-core";
import { SeriesView } from "./SeriesView";
import { Axis } from "./Axis";
import { Frame } from "./Frame";
import { CategoryHighlightFrameRect } from "./CategoryHighlightFrameRect";
import { List$1 } from "igniteui-angular-core";
import { Rect } from "igniteui-angular-core";
import { Pool$1 } from "igniteui-angular-core";
import { Rectangle } from "igniteui-angular-core";
import { AnnotationLayerView } from "./AnnotationLayerView";
import { Brush } from "igniteui-angular-core";
import { RenderingContext } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class CategoryHighlightLayer extends AnnotationLayer {
    static $t: Type;
    constructor();
    protected bf(): SeriesView;
    iu(a: SeriesView): void;
    protected m5: CategoryHighlightLayerView;
    m4: CategoryAxisBase;
    m7: boolean;
    m8: number;
    static readonly nf: DependencyProperty;
    protected mk(a: Axis, b: boolean): void;
    private m6;
    protected mn(a: Frame, b: SeriesView): void;
    private nd;
    nc(a: Rect, b: CategoryHighlightLayerFrame, c: Axis): void;
    protected mq(a: Frame, b: SeriesView): void;
    protected c8(): boolean;
    ne(a: CategoryHighlightFrameRect, b: Rectangle): void;
    protected iz(a: any, b: string, c: any, d: any): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class CategoryHighlightLayerView extends AnnotationLayerView {
    static $t: Type;
    constructor(a: CategoryHighlightLayer);
    protected b1: CategoryHighlightLayer;
    b2: Pool$1<Rectangle>;
    ap(): void;
    protected b3: List$1<Rectangle>;
    private ca;
    private b5;
    private b7;
    private b6;
    b8(a: Brush): Brush;
    b9(a: Brush): Brush;
    b4(a: Rectangle, b: number, c: number, d: number, e: number): void;
    protected a3(a: RenderingContext, b: boolean): void;
    ai(a: any): void;
}
